summaryrefslogtreecommitdiff
path: root/misc
diff options
context:
space:
mode:
authorH. Peter Anvin <hpa@zytor.com>2007-10-31 23:37:19 -0700
committerH. Peter Anvin <hpa@zytor.com>2007-10-31 23:37:19 -0700
commitce7aaf7b63fd3bd8c37cd980084e2cf887637495 (patch)
treee60b2e386d7c5de98dc4e2a19cdeb3aedcc971e3 /misc
parent1b9dd7d1e1d9b202a00d752cafd9970b56cbf3b9 (diff)
downloadnasm-ce7aaf7b63fd3bd8c37cd980084e2cf887637495.tar.gz
Script to tag the tree for release
Script to tag the tree for release. Once this tag is pushed (git push; git push --tags) the build robot will pick it up and produce the builds.
Diffstat (limited to 'misc')
-rwxr-xr-xmisc/tagrelease15
1 files changed, 15 insertions, 0 deletions
diff --git a/misc/tagrelease b/misc/tagrelease
new file mode 100755
index 00000000..4cf44c70
--- /dev/null
+++ b/misc/tagrelease
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# Usage: tagrelease version
+#
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 version" 1>&2
+ exit 1
+fi
+
+echo "$1" > version
+git add version
+git commit -m "NASM $1"
+git tag -m "NASM $1" -a nasm-"$1"
+